//**********************************************************************//
//									//
//	Title  : dustball.shader					//
//	Author : Sock							//
//	Date   : 17th August 2001					//
//	Email  : sock@planetquake.com					//
//	URL    : http://www.planetquake.com/simland			//
//									//
//**********************************************************************//
// customized by KittyWumpus* for ut4_kqn1

textures/ut4_kqn1/kq1_dustball_skybox
{
	qer_editorimage env/ut4_kqn1/interstellar_ft.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_globaltexture
	q3map_lightsubdivide 256
	q3map_skylight 40 3
	surfaceparm sky
	q3map_sunEXT 1.0 0.82 0.733 20 320 20 1 16
	q3map_backSplash 0 512
	skyparms env/ut4_kqn1/interstellar 512 -
}


//camera

textures/ut4_kqn1/kq1_camera1
{
	qer_editorimage textures/ut4_kqn1/camera.jpg
	surfaceparm playerclip
	surfaceparm nolightmap
	portal
	{
		map textures/ut4_kqn1/camera.jpg
 		blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		depthWrite
		alphaGen portal 2048
    }
}

//Floor grate from filtration

textures/ut4_kqn1/kq1_floor_grate
{
	qer_editorimage textures/ut4_kqn1/grate_metal01d.tga
        surfaceparm trans
        surfaceparm nonsolid
        surfaceparm playerclip
	surfaceparm nodamage
	cull none
        nopicmip

	{
		map textures/ut4_kqn1/grate_metal01d.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/ut4_kqn1/kq1_floor_metal1
{
	qer_editorimage textures/ut4_kqn1/pr_metal091.jpg
	surfaceparm nodamage
	surfaceparm metalsteps
	{	
		map textures/ut4_kqn1/pr_metal091.jpg
	}
	{
               map $lightmap
                blendfunc filter
                rgbGen identity
        }
}

//Ladderclip form UrT

textures/ut4_kqn1/kq1_ladderclip
{
        qer_trans 0.40
        surfaceparm nolightmap
        surfaceparm nomarks
        surfaceparm nodraw
        surfaceparm nonsolid
        surfaceparm playerclip
        surfaceparm noimpact
        surfaceparm ladder
	surfaceparm trans
}

//glass 

textures/ut4_kqn1/kq1_glass_slip
{
	qer_editorimage textures/ut4_kqn1/shiny3.tga
	qer_trans 0.5
	surfaceparm lightfilter
	surfaceparm slick
	surfaceparm nodamage
	q3map_bounce .1	

	{
		map textures/ut4_kqn1/tinfx.tga
		tcGen environment
		blendfunc GL_ONE GL_ONE
	}

}

//glass: NOT slippery, no damage
textures/ut4_kqn1/kq1_glass_noslip
{
	qer_editorimage textures/ut4_kqn1/shiny3.tga
	qer_trans 0.5
	surfaceparm nolightmap
	// surfaceparm nodamage
	q3map_bounce .1	

	{
		map textures/ut4_kqn1/tinfx.tga
		tcGen environment
		blendfunc GL_ONE GL_ONE
	}

}

// NO DAMAGE 


textures/ut4_kqn1/kq1_nodamdirt
{
	qer_editorimage textures/ut4_kqn1/bbq_dirt05gras.jpg
	surfaceparm nodamage

	{
		map textures/ut4_kqn1/bbq_dirt05gras.jpg
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
	}

}


textures/ut4_kqn1/kq1_nodamwood
{
	qer_editorimage textures/ut4_kqn1/bbq_graywood.jpg
	surfaceparm nodamage

	{
		map textures/ut4_kqn1/bbq_graywood.jpg
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
	}

}

//Lighting
//From crossing; altered for use

textures/ut4_kqn1/kq1_panel_1500
{
	qer_editorimage textures/ut4_kqn1/xing_panel.tga
	surfaceparm nomarks 
	q3map_surfacelight 1500
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ut4_kqn1/xing_panel.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut4_kqn1/xing_panel_blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/ut4_kqn1/kq1_panel_1k
{
	qer_editorimage textures/ut4_kqn1/xing_panel.tga
	surfaceparm nomarks 
	q3map_surfacelight 1000
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ut4_kqn1/xing_panel.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut4_kqn1/xing_panel_blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/ut4_kqn1/kq1_panel_500
{
	qer_editorimage textures/ut4_kqn1/xing_panel.tga
	surfaceparm nomarks 
	q3map_surfacelight 500
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ut4_kqn1/xing_panel.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut4_kqn1/xing_panel_blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

//Fence, Alpha'd, from Urban_terror.shader and urban_terror2 textures

textures/ut4_kqn1/kq1_fence
{
	qer_editorimage textures/ut4_kqn1/fence.tga
	surfaceparm trans
	surfaceparm nonsolid		
	cull none
        nopicmip

	{
		map textures/ut4_kqn1/fence.tga
		tcMod scale 3 3
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

//Ladderclip from UrT

textures/ut4_kqn1/kq1_ladderclip
{
        qer_trans 0.40
        surfaceparm nolightmap
        surfaceparm nomarks
        surfaceparm nodraw
        surfaceparm nonsolid
        surfaceparm playerclip
        surfaceparm noimpact
        surfaceparm ladder
	surfaceparm trans
}

//watercaulk from FSK405|WilyDuck!!!

textures/ut4_kqn1/kq1_duck_watercaulk
{
	qer_editorimage textures/ut4_kqn1/pool3d_3.tga
	qer_trans 0.3
	qer_nocarve
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm water
	surfaceparm noimpact
}

// water

//	*********************************************************
//	*      Medium clear ripple water. Created September 9	*
//	*********************************************************
textures/ut4_kqn1/kq1_clear_ripple3
{
	qer_editorimage textures/ut4_kqn1/pool3d_3.tga
	qer_trans .5
	q3map_globaltexture
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water

	cull disable
	deformVertexes wave 64 sin .5 .5 0 .5	
	
	{ 
		map textures/ut4_kqn1/pool3d_5.tga
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .5 .5
		tcmod transform 1.5 0 1.5 1 1 2
		tcmod scroll -.05 .001
	}

	{ 
		map textures/ut4_kqn1/pool3d_6.tga
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .5 .5
		tcmod transform 0 1.5 1 1.5 2 1
		tcmod scroll .025 -.001
	}

	{ 
		map textures/ut4_kqn1/pool3d_3.tga
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .25 .5
		tcmod scroll .001 .025
	}

	{
		map $lightmap
		blendFunc GL_dst_color GL_zero
		rgbgen identity		
	}

}


textures/ut4_kqn1/kq1_foamwater1
{
	qer_editorimage textures/ut4_kqn1/clearfoam_water.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm lightfilter
	//surfaceparm alphashadow
	surfaceparm water
	cull disable
	
	{	
		map textures/ut4_kqn1/clearfoam_water.tga
		blendfunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		tcMod turb 0.09 0.07 0.1 .1
	}

	{
		map $lightmap
		blendfunc gl_dst_color gl_src_color
		rgbGen identity
	}

}

// SOC textures

textures/ut4_kqn1/kq1_grate1b_trans
{
	qer_editorimage textures/ut4_kqn1/soc_grate1b.tga
	surfaceparm	metalsteps		
	cull none
	{
		map textures/ut4_kqn1/soc_grate1b.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
		rgbGen identity
	}
}

textures/ut4_kqn1/kq1_lig_05b1-2k
{
	qer_editorimage textures/ut4_kqn1/soc_032lig20ba.tga
	q3map_lightimage textures/ut4_kqn1/soc_032lig20b.blend.tga
	q3map_surfacelight 2000
	surfaceparm nomarks
	{
		map textures/ut4_kqn1/soc_032lig20ba.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut4_kqn1/soc_032lig20b.blend.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave sawtooth .6 .1 0 7
	}
}

textures/ut4_kqn1/kq1_lig_05r1-2k
{
	qer_editorimage textures/ut4_kqn1/soc_032lig20ra.tga
	q3map_lightimage textures/ut4_kqn1/soc_032lig20r.blend.tga
	q3map_surfacelight 2000
	surfaceparm nomarks
	{
		map textures/ut4_kqn1/soc_032lig20ra.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut4_kqn1/soc_032lig20r.blend.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave sawtooth .6 .1 0 7
	}
}

textures/ut4_kqn1/kq1_lig_128-03b1-2k
{
	qer_editorimage textures/ut4_kqn1/soc_octlig01ba.tga
	q3map_lightimage textures/ut4_kqn1/soc_sqrlig02b.blend.tga
	q3map_surfacelight 2000
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ut4_kqn1/soc_octlig01ba.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut4_kqn1/soc_sqrlig02b.blend.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave sin .3 .1 0 0.5
	}
}

textures/ut4_kqn1/kq1_lig_128-03r1-2k
{
	qer_editorimage textures/ut4_kqn1/soc_octlig01ra.tga
	q3map_lightimage textures/ut4_kqn1/soc_sqrlig02r.blend.tga
	q3map_surfacelight 2000
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ut4_kqn1/soc_octlig01ra.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut4_kqn1/soc_sqrlig02r.blend.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave sin .3 .1 0 0.5
	}
}

// UrT sfx flame

textures/ut4_kqn1/kq1_flame1
{
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nonsolid
	cull none
	q3map_surfacelight 7500
	

	{
		animMap 10 textures/ut4_kqn1/flame1.tga textures/ut4_kqn1/flame2.tga textures/ut4_kqn1/flame3.tga textures/ut4_kqn1/flame4.tga textures/ut4_kqn1/flame5.tga textures/ut4_kqn1/flame6.tga textures/ut4_kqn1/flame7.tga textures/ut4_kqn1/flame8.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave inverseSawtooth 0 1 0 10
		
	}	
	{
		animMap 10 textures/ut4_kqn1/flame2.tga textures/ut4_kqn1/flame3.tga textures/ut4_kqn1/flame4.tga textures/ut4_kqn1/flame5.tga textures/ut4_kqn1/flame6.tga textures/ut4_kqn1/flame7.tga textures/ut4_kqn1/flame8.tga textures/ut4_kqn1/flame1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sawtooth 0 1 0 10
	}	


	{
		map textures/ut4_kqn1/flameball.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin .6 .2 0 .6	
	}

}

// WilyDuck's awesome waterflow/fall!!!

textures/ut4_kqn1/kq1_waterflow
{
//	q3map_fancywater 10 0.85 0.8 0.75
	q3map_globaltexture

        surfaceparm alphashadow
        surfaceparm lightfilter
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm water
	qer_nocarve
	cull disable

	qer_editorimage textures/ut4_kqn1/duck_pool3d_5c.tga
	qer_nocarve
	qer_trans 0.7

	{
		map textures/ut4_kqn1/duck_pool3d_3c.tga
		blendfunc gl_dst_color gl_one
		rgbGen identity
		tcMod scroll -0.1 1.3
	}
	{
		map textures/ut4_kqn1/duck_pool3d_5c.tga
		blendfunc gl_dst_color gl_one
		tcMod scroll 0.1 1.1
	}
	{
		map textures/ut4_kqn1/duck_pool3d_3c.tga
		blendfunc gl_dst_color gl_one
		tcMod scroll 0 1.5
	}
	{
		map $lightmap 
		blendfunc gl_dst_color gl_src_color
	}
}



textures/ut4_kqn1/kq1_waterflow2
{
//	q3map_fancywater 10 0.85 0.8 0.75

        surfaceparm alphashadow
        surfaceparm lightfilter
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm water

	cull disable
	sort 6

	qer_nocarve
	qer_trans 0.7
	qer_editorimage textures/ut4_kqn1/duck_pool5.tga

//	deformVertexes bulge 1 1 4
//	deformVertexes wave 16 sin 0 2 0 .5

	{
		map textures/ut4_kqn1/duck_pool5.tga
		blendfunc gl_dst_color gl_one
		tcMod scroll -0.025 -2.0
		alphafunc ge128
	}
	{
		map textures/ut4_kqn1/duck_pool5.tga
		blendfunc gl_dst_color gl_one
		tcMod scroll 0.025 -1.95
		alphafunc ge128
	}
	{
		map textures/ut4_kqn1/duck_pool5.tga
		blendfunc gl_dst_color gl_zero
		tcMod scroll 0 -1.9
		alphafunc ge128
	}
	{
		map $lightmap 
		blendfunc gl_dst_color gl_src_color
		depthfunc equal
	}
}


// low waterflow

textures/ut4_kqn1/kq1_waterflow2a
{
//	q3map_fancywater 10 0.85 0.8 0.75

        surfaceparm alphashadow
        surfaceparm lightfilter
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm water

	cull disable
	sort 6

	qer_nocarve
	qer_trans 0.7
	qer_editorimage textures/ut4_kqn1/duck_pool5.tga

	deformVertexes bulge 4 4 .5
// jiggle amount
	deformVertexes wave 16 sin 0 3 0 .5

	{
		map textures/ut4_kqn1/duck_pool5.tga
		blendfunc gl_dst_color gl_zero
		tcMod scroll -0.025 -2.1
		alphafunc ge128
	}
	{
		map textures/ut4_kqn1/duck_pool6.tga
		blendfunc gl_dst_color gl_one
		tcMod scroll 0.025 -2.2
		alphafunc ge128
	}
	{
		map textures/ut4_kqn1/duck_pool5.tga
		blendfunc gl_dst_color gl_one
		tcMod scroll 0.025 -1.95
		alphafunc ge128
	}
	{
		map textures/ut4_kqn1/duck_pool5.tga
		blendfunc filter
		tcMod scroll 0 -2.0
		alphafunc ge128
	}
	{
		map $lightmap 
		blendfunc gl_dst_color gl_one
		depthfunc equal
	}
}




textures/ut4_kqn1/kq1_watercaulk
{
qer_trans 0.40
qer_editorimage textures/ut4_kqn1/duck_watercaulk.tga
surfaceparm nodraw
surfaceparm nolightmap
surfaceparm nonsolid
surfaceparm trans
surfaceparm nomarks
surfaceparm water
qer_nocarve

}

// SLIME!!!

textures/ut4_kqn1/kq1_slime
{
	qer_editorimage textures/ut4_kqn1/slime_grn.tga
	q3map_lightimage textures/ut4_kqn1/slime_grn.tga
	q3map_globaltexture
	q3map_lightsubdivide 32
	q3map_lightmapFilterRadius 0 8
	qer_trans 0.5

	surfaceparm noimpact
	surfaceparm slime
	surfaceparm nolightmap
	surfaceparm trans	

	q3map_surfacelight 500
	q3map_tessSize 64
	cull disable

	deformVertexes wave 256 sin 0 1 0.5 0.5
	{
		map textures/ut4_kqn1/slime_grn.tga
		tcMod turb 0.3 0.2 1 0.05
		tcMod scroll 0.01 0.01
	}
	{
		map textures/ut4_kqn1/slime_grnc.tga
		blendfunc add
		tcMod turb 0.2 0.1 1 0.05
		tcMod scale 0.5 0.5
		tcMod scroll 0.01 0.01
	}
	{
		map textures/ut4_kqn1/slime_grn.tga
		blendfunc GL_ZERO GL_SRC_COLOR
		tcMod turb 0.2 0.1 0.1 0.2
		tcMod scale 0.05 0.05
		tcMod scroll 0.001 0.001
	}	
}

textures/ut4_kqn1/kq1_slimecaulk
{
qer_editorimage textures/ut4_kqn1/slimecaulk.tga
qer_trans 0.5
surfaceparm nodraw
surfaceparm detail
surfaceparm noimpact
surfaceparm nonsolid
surfaceparm trans
surfaceparm slime
}

// slimefall

textures/ut4_kqn1/kq1_slimefall1
{
        surfaceparm alphashadow
        surfaceparm lightfilter
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm slime

	cull disable
	sort 6

	qer_nocarve
	qer_trans 0.4
	qer_editorimage textures/ut4_kqn1/slime_grn.tga

	deformVertexes bulge 4 4 .5
// jiggle amount
	deformVertexes wave 32 sin 0 1 0 .5

	{
		map textures/ut4_kqn1/slime_grn.tga
		blendfunc gl_dst_color gl_zero
		tcMod scroll -0.025 -0.5
		alphafunc ge128
	}
	{
		map textures/ut4_kqn1/slime_grnc.tga
		blendfunc gl_dst_color gl_one
		tcMod scroll 0.025 -0.6
		alphafunc ge128
	}
	{
		map textures/ut4_kqn1/slime_grn.tga
		blendfunc gl_dst_color gl_one
		tcMod scroll 0.025 -0.45
		alphafunc ge128
	}
	{
		map textures/ut4_kqn1/slime_grn.tga
		blendfunc filter
		tcMod scroll 0 -2.0
		alphafunc ge128
	}
	{
		map $lightmap 
		blendfunc gl_dst_color gl_one
		depthfunc equal
	}
}
